<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;

use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Support\Facades\Hash;

class LoginController extends Controller
{
    use AuthenticatesUsers;

    protected $redirectTo = 'home'; // Change this to your desired redirect path after successful login.

    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function show_login_form()
    {
        // $admin = User::create([
        //     'name' => "admin",
        //     'email' => "admin@email.com",
        //     'password' => Hash::make("1234"),
        // ]);
        return view('auth.login');
    }

    // You can customize this method to handle any additional login logic you need.
    // For a basic login, the default implementation should suffice.
    public function login(Request $request)
    {
        $credentials = $request->only('email', 'password');

        if (auth()->attempt($credentials)) {
            return redirect()->intended($this->redirectTo);
        }
        return redirect()->back()->withInput($request->only('email'))->withErrors([
            'email' => 'Invalid credentials.',
        ]);
    }

    // Logout method to handle user logout
    public function logout(Request $request)
    {
        auth()->logout();

        $request->session()->invalidate();

        $request->session()->regenerateToken();

        return redirect('/');
    }
}
