<?php

namespace App\Http\Controllers;
// use Illuminate\Database\Eloquent\Collection;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\GuestsTemplateExport;
use App\Http\Controllers\HomeController;

use Illuminate\Http\Request;

class GuestImport implements ToCollection
{
    public function collection(Collection $collection) // Use Illuminate\Support\Collection here
    {
        $count = 0;
        $errors = [];
        $homeController = new HomeController();
        foreach ($collection as $row) {
            $count++;
            if($count == 1)continue;

           $data = [ 'name' => $row[0],
                'phone' => $row[1],
                'type' => $row[2],
                'amount' => $row[3],
                'paid_amount' => $row[4],
                'title' => $row[5],
        ];

        $response =  $homeController->new_subscriber_from_excel($data);

        if($response['status'] == 'error'){
           $errors[] = ['data' => $data,'message' => $response['message']];
        }
        }
        if(count($errors) > 0){
            print_r("Data error");
        }
    }
}


class ExportInportController extends Controller
{
    //
    function downloadTemplate(Request $request){
        return Excel::download(new GuestsTemplateExport, 'guests_template.xlsx');
    }


    public function upload_excel(Request $request)
    {
        $request->validate(['excel-file' => 'required|file|mimes:xlsx', ]);

        $file = $request->file('excel-file');

        try {
            // $rows = Excel::import(new GuestImport(), $file);
            Excel::import(new GuestImport, $file);
        } catch (\Exception $e) {
            // return redirect()->back()->with('error', 'Error importing data. Please check the file format.');
            // print_r('Eroror');
        }

        // return redirect()->route('upload.index')->with('success', 'Data imported successfully.');
        print_r("successs");
    }
}
