<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        //
        Schema::create('pledge_invitations',function(Blueprint $table){
            $table->id();
            $table->unsignedBigInteger('pledge_id');
            $table->index('pledge_id');
            $table->enum('type',['DOUBLE','SINGLE']);
            $table->integer('qr_code',autoIncrement:false)->nullable();
            $table->time('check_in')->nullable();
            $table->foreign('pledge_id')->references('id')->on('pledge')->onDelete('cascade');
            $table->index('pledge_id');
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
        Schema::dropIfExists('pledge_invitations');

    }
};
