@extends('layouts.app')

@section('content')

<div class="content">

  @include('pages.pledge_form')
  @include('pages.excel_upload_form');

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Pages</a></li>
                        <li class="breadcrumb-item active">Home</li>
                    </ol>
                </div>
                <h4 class="page-title">Guests</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card" style="padding: 30px">
                <div class="card-body">
                    <div class="col-5">
                        <a href="{{ route('download-excel') }}" class="btn btn-primary" style=""><i class="uil-download-alt"> </i>Download template</a>
                        <button data-bs-toggle="modal" data-bs-target="#template-upload-modal" class="btn btn-primary" style=""><i class="uil-upload-alt"> </i>Upload</button>
                        <button data-bs-toggle="modal" data-bs-target="#login-modal" class="btn btn-primary" style=""><i class="uil-plus"> </i>Add</button>
                    </div>
                    <br/>
                    <h4 class="header-title">Guests List</h4>
                </div>

                <table id="datatable" class="table dt-responsive nowrap w-100">
                    <thead>
                        <tr>
                            <th></th>
                            <th>Name</th>
                            <th>Phone</th>
                            <th>Type</th>
                            <th>Amount</th>
                            <th>Amount Paid</th>
                            <th>Code Number</th>
                            <th>QR</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
</div>
</div>
</div>

</div>

@endsection
@section('javascript')
 <script>
    $(document).ready(function () {
     var table = $('#datatable').DataTable({
        {{--  colReorder: true,  --}}
        processing: true,
        "stateSave": true,
        'searching': true,
        suppressWarnings: true,
        destroy: true,
        ajax: {
            url: '{{ route("subscribers") }}',
            type: 'GET',
            dataSrc: 'data'
        },
        "columns": [
            { "orderable": true },
            { "orderable": true },
            { "orderable": true },
            { "orderable": true },
            { "orderable": true },
            { "orderable": true },
            { "orderable": true },
            { "orderable": true },
            { "orderable": true },
        ],
        "language": {
            "zeroRecords": "<div class='alert alert-info'>No data</div>",
            "emptyTable": "<div class='alert alert-info'>Empty</div>"

        },
    });

    $("#form").on('submit',function(e){
        e.preventDefault();
        var data = $(this).serialize();
        $(this)[0].reset();
        $('#login-modal').modal('hide');
        $.ajax({
            url: '{{  route('new-subscriber') }}',
            data: data,
            type: 'post',
            success: function(data){
              if(data.status == 'success'){

                alert(data.data.message);
              }
              else{
                alert(data.data.message);
              }
            },
            error:function(e){
                alert('Error occured');
            }
        });
    })
    $('.editbutton').on('click',function(){
            alert(1);
    });

});



$("#upload-excel-form").on("submit",function(e){
    e.preventDefault();
    var data = $(this).serialize();
    let formData = new FormData($('#upload-excel-form')[0]);
    $.ajax({
        url: "{{ route('upload-excel') }}",
        method: "POST",
        data: formData,
        processData: false,
        contentType: false,
        success: function (response) {
          alert("FIle Uploaded");
          window.location.replace('');
        },
        error: function (error) {
          alert("Error Occured");
        }
    });

});
 </script>
@endsection
