<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\ExportInportController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/



Route::get('/login',[LoginController::class,'show_login_form'])->name('login');
Route::post('/login',[LoginController::class,'login'])->name('login');
Route::middleware('auth')->group(function () {
    Route::get('/',[HomeController::class,'index'])->name('home');
    Route::post('/new-subscriber',[HomeController::class,'new_subscriber'])->name('new-subscriber');
    Route::get('/subscribers',[HomeController::class,'subscribers'],)->name('subscribers');
    Route::get('/generate-qr-code/{any}',[HomeController::class,'generate_qr_code'],)->name('generate-qr-code');
    Route::get('/download-excel',[ExportInportController::class,'downloadTemplate'],)->name('download-excel');
    Route::post('/upload-excel',[ExportInportController::class,'upload_excel'],)->name('upload-excel');
});
